> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single public repository.

> # Access control rules

- Publicly accessible.
- Authenticated access gives additional information and the ability to
  list more repositories (restricted and/or private).



## OpenAPI

````yaml GET /api/v0/repositories/{repo_id}/public
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/repositories/{repo_id}/public:
    get:
      tags:
        - repositories
      summary: Get a single public repository.
      description: |-
        # Access control rules

        - Publicly accessible.
        - Authenticated access gives additional information and the ability to
          list more repositories (restricted and/or private).
      operationId: get_public_repository
      parameters:
        - name: repo_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Public repository
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicRepository'
        '404':
          description: Repository not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Error accessing repos
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    PublicRepository:
      type: object
      description: Public version of a [`Repository`].
      required:
        - id
        - status
        - currencyCode
        - kycRequired
        - totalFindings
        - createdAt
        - kind
      properties:
        id:
          type: string
          format: uuid
        name:
          type:
            - string
            - 'null'
          description: Null if the information is redacted.
        url:
          type:
            - string
            - 'null'
          description: Null if the information is redacted.
        company:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/RepositoryCompany'
              description: Null if the information is redacted.
        timeframe:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/RangeFromDateTime'
        status:
          $ref: '#/components/schemas/RepositoryStatus'
        currencyCode:
          type: string
        totalRewardPot:
          type:
            - string
            - 'null'
        submissionFee:
          type:
            - string
            - 'null'
        assetGroups:
          type: array
          items:
            $ref: '#/components/schemas/AssetGroup'
          description: Groups of assets.
        safeHarbor:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/SafeHarbor'
        instructions:
          type:
            - string
            - 'null'
          description: Null if the information is redacted.
        kycRequired:
          type: boolean
        requiredCtfAddress:
          type:
            - string
            - 'null'
        totalFindings:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        reward:
          type:
            - string
            - 'null'
          description: Auditor reward.
        rank:
          type:
            - integer
            - 'null'
          format: int32
          description: Position in the repository leaderboard.
        rankTotal:
          type:
            - integer
            - 'null'
          format: int32
          description: Total positions in the repository leaderboard.
        kind:
          $ref: '#/components/schemas/RepositoryKind'
        joined:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/RepositoryMembership'
        allowedSeverities:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/FindingSeverity'
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    RepositoryCompany:
      type: object
      description: '[`Company`] information in the context of a [`Repository`].'
      required:
        - id
        - name
        - handle
        - logo
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        handle:
          type: string
        logo:
          type: string
        website:
          type:
            - string
            - 'null'
        github:
          type:
            - string
            - 'null'
        twitter:
          type:
            - string
            - 'null'
    RangeFromDateTime:
      type: object
      description: Represent a range where the start is always set but the end is optional.
      required:
        - start
      properties:
        start:
          type: string
          format: date-time
        end:
          type:
            - string
            - 'null'
          format: date-time
    RepositoryStatus:
      type: string
      description: Status of a repository.
      enum:
        - draft
        - upcoming
        - live
        - judging
        - escalations
        - escalations_ended
        - complete
        - published
    AssetGroup:
      type: object
      description: Group of [`Asset`]s.
      required:
        - id
        - name
        - description
        - outOfScope
        - rewards
        - assets
        - subGroups
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        outOfScope:
          type: boolean
        rewards:
          type: array
          items:
            $ref: '#/components/schemas/AssetGroupReward'
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
        subGroups:
          type: array
          items:
            $ref: '#/components/schemas/AssetSubGroup'
    SafeHarbor:
      type: object
      required:
        - id
        - description
        - reward
        - returnAddresses
        - assets
      properties:
        id:
          type: string
          format: uuid
        description:
          type: string
        cap:
          type:
            - string
            - 'null'
        reward:
          type: string
        returnAddresses:
          type: array
          items:
            $ref: '#/components/schemas/SafeHarborReturnAddress'
        assets:
          type: array
          items:
            $ref: '#/components/schemas/SafeHarborAsset'
    RepositoryKind:
      type: string
      enum:
        - scoping
        - collaborative_review
        - private_contest
        - public_contest
        - private_bounty
        - public_bounty
    RepositoryMembership:
      type: string
      enum:
        - joined
        - open
        - restricted
    FindingSeverity:
      type: string
      description: Severity of a [`Finding`].
      enum:
        - critical
        - high
        - medium
        - low
        - informational
        - gas_optimization
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error
    AssetGroupReward:
      type: object
      description: Reward for an [`AssetGroup`].
      required:
        - severity
      properties:
        severity:
          $ref: '#/components/schemas/FindingSeverity'
        minReward:
          type:
            - string
            - 'null'
        maxReward:
          type:
            - string
            - 'null'
    Asset:
      type: object
      description: Asset description.
      required:
        - id
        - name
        - description
        - reference
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        reference:
          type: string
          description: >-
            Reference to where the asset is located. For example a URL to a
            website

            or an address of a contract.
    AssetSubGroup:
      type: object
      description: Subgroup of an [`AssetGroup`]s.
      required:
        - id
        - name
        - assets
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
    SafeHarborReturnAddress:
      type: object
      required:
        - id
        - address
        - chain
      properties:
        id:
          type: string
          format: uuid
        address:
          type: string
        chain:
          $ref: '#/components/schemas/SafeHarborAddressChain'
    SafeHarborAsset:
      type: object
      required:
        - id
        - name
        - description
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
    SafeHarborAddressChain:
      type: string
      enum:
        - ethereum
        - bsc
        - polygon
        - arbitrum
        - optimism
        - base
        - avalanche_c
        - polygon_zk_evm
        - gnosis
        - zk_sync

````